> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get DNSSEC Parent DS State

> Get the current parent DS state for a DNS zone from the latest cron scan.



## OpenAPI

````yaml /api-reference/services_documented/dns_api.yaml get /dns/v2/zones/{name}/dnssec/parent-ds
openapi: 3.1.0
info:
  title: Gcore OpenAPI – DNS API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-07T20:33:46.548242+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Analyze
    x-displayName: Analyze
  - name: DNS Locations
    x-displayName: DNS Locations
  - name: Lookup
    x-displayName: Lookup
  - name: Metrics
    x-displayName: Metrics
  - name: NetworkMappings
    x-displayName: NetworkMappings
  - name: Pickers
    x-displayName: Pickers
  - name: DNS Clients
    x-displayName: DNS Clients
  - name: Zones
    x-displayName: Zones
  - name: DNSSEC
    x-displayName: DNSSEC
  - name: RRsets
    x-displayName: RRsets
paths:
  /dns/v2/zones/{name}/dnssec/parent-ds:
    get:
      tags:
        - DNSSEC
      summary: Get DNSSEC Parent DS State
      description: >-
        Get the current parent DS state for a DNS zone from the latest cron
        scan.
      operationId: GetDNSSECParentDS
      parameters:
        - name: name
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: GetDNSSECParentDSResponse
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetDNSSECParentDSResponse'
        '400':
          description: Error message response
          headers:
            error:
              schema:
                type: string
          content: {}
components:
  schemas:
    GetDNSSECParentDSResponse:
      type: object
      properties:
        has_valid_parent_ds:
          type: boolean
        parent_zone:
          type: string
        scanned_at:
          type: string
          format: date-time
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````